AbstractFilterCollection (Mule ESB 2.2.1 API)
Keywords: org.mule.routing.filters.logic.AbstractFilterCollection class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.routing.filters.logic
Class AbstractFilterCollection

    java.lang.Object
      org.mule.routing.filters.logic.AbstractFilterCollection

All Implemented Interfaces:
  Filter

Direct Known Subclasses:
  AndFilter, OrFilter

    public abstract class AbstractFilterCollection

extends Object
implements Filter

Manages a filter collection. Used as the base clas for the Or and AND filters

Constructor Summary
`AbstractFilterCollection()`
`AbstractFilterCollection(Filter left, Filter right)`

Method Summary
`boolean` | `equals(Object obj)`
`List` | `getFilters()`
`Filter` | `getLeftFilter()` Deprecated.
`Filter` | `getRightFilter()` Deprecated.
`int` | `hashCode()`
`void` | `setFilters(List filters)`
`void` | `setLeftFilter(Filter leftFilter)` Deprecated.
`void` | `setRightFilter(Filter rightFilter)` Deprecated.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mule.api.routing.filter.Filter
`accept`

Constructor Detail

### AbstractFilterCollection

    public AbstractFilterCollection()

### AbstractFilterCollection

    public AbstractFilterCollection(Filter left,
                                    Filter right)

Parameters:
  `left` -
  `right` -

Method Detail

### setLeftFilter

    public void setLeftFilter(Filter leftFilter)

  Deprecated.

  Parameters:
    `leftFilter` -

### setRightFilter

    public void setRightFilter(Filter rightFilter)

  Deprecated.

  Parameters:
    `rightFilter` -

### getLeftFilter

    public Filter getLeftFilter()

  Deprecated.

  Returns:

### getRightFilter

    public Filter getRightFilter()

  Deprecated.

  Returns:

### getFilters

    public List getFilters()

### setFilters

    public void setFilters(List filters)

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.